Package ru.bitel.bgbilling.kernel.module.server.bean

# Class UserManager

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<User>
ru.bitel.bgbilling.kernel.module.server.bean.UserManager

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class UserManager
    extends ru.bitel.common.dao.AbstractIdDao<User>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UserManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `checkLogin​(java.lang.String login)` | Deprecated.
  `boolean` | `checkLogin​(java.lang.String login, int userID)` | Проверка на уникальность логина пользователя с учетом кода пользователя.
  `void` | `findSearchResult​(SearchResult<User> searchResult)` |
  `protected User` | `getFromRS​(java.sql.ResultSet rs)` |
  `User` | `getUserByLogin​(java.lang.String login)` | Возвращает пользователя биллинга по его логину.
  `java.util.Map<java.lang.Integer,​User>` | `getUsersMap()` | Возвращает карту пользователей и их кодов
  `java.util.List<User>` | `list()` |
  `protected void` | `updateImpl​(User user)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserManager

    public UserManager​(java.sql.Connection con)

- ## Method Details

  - ### updateImpl

    protected void updateImpl​(User user) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<User>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### getFromRS

    protected User getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<User>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getUsersMap

    public java.util.Map<java.lang.Integer,​User> getUsersMap()
    Возвращает карту пользователей и их кодов
    Returns:

  - ### findSearchResult

    public void findSearchResult​(SearchResult<User> searchResult) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### checkLogin

    @Deprecated public boolean checkLogin​(java.lang.String login)
    Deprecated.
    Использовать `checkLogin(String,int)`

  - ### checkLogin

    public boolean checkLogin​(java.lang.String login, int userID) throws ru.bitel.bgbilling.common.BGException
    Проверка на уникальность логина пользователя с учетом кода пользователя. Если есть пользователь с проверяемым логином, но с другим кодом (в т.ч. 0), значит происходит попытка изменить существующего пользователя, либо создать нового и назначить ему логин другого пользователя - в этом случае вернется true.
    Parameters:
      `login` - логин
      `userID` - код пользователя
    Returns:
      true - если в БД уже есть такой логин, false - в противном случае.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<User> list() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getUserByLogin

    public User getUserByLogin​(java.lang.String login) throws ru.bitel.bgbilling.common.BGException
    Возвращает пользователя биллинга по его логину.
    Parameters:
      `login` - логин пользователя.
    Returns:
      объект "юзер", либо null если не найдено.
    Throws:
      `ru.bitel.bgbilling.common.BGException`